MonoMac 0.0.0.0 System.ValueType System.IEquatable<MonoMac.OpenGL.Quaterniond> Represents a double-precision Quaternion. To be added.
- Constructor
  0.0.0.0
  The vector part
  The w part
  Construct a new Quaterniond from vector and w components
  To be added.
- Constructor
  0.0.0.0
  The x component
  The y component
  The z component
  The w component
  Construct a new Quaterniond
  To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` The first operand The second operand Add two quaternions The result of the addition To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The first operand The second operand The result of the addition Add two quaternions To be added.
- Method
  0.0.0.0
  System.Void Convert this Quaterniond to its conjugate To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` The Quaterniond Get the conjugate of the given Quaterniond The conjugate of the given Quaterniond To be added.
- Method
  0.0.0.0
  System.Void `` `` The Quaterniond The conjugate of the given Quaterniond Get the conjugate of the given Quaterniond To be added.
- Method
  0.0.0.0
  System.Boolean `` The other Quaterniond to be used in the comparison. Compares this Quaterniond instance to another Quaterniond for equality. True if both instances are equal; false otherwise. To be added.
- Method
  0.0.0.0
  System.Boolean `` The other object to be used in the comparison. Compares this object instance to another object for equality. True if both objects are Quaternions of equal value. Otherwise it returns false. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` The axis to rotate about The rotation angle in radians Build a Quaterniond from the given axis and angle To be added.
- Method
  0.0.0.0
  System.Int32 Provides the hash code for this object. A hash code formed from the bitwise XOR of this objects members. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Quaterniond Defines the identity quaternion. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` The Quaterniond to invert Get the inverse of the given Quaterniond The inverse of the given Quaterniond To be added.
- Method
  0.0.0.0
  System.Void `` `` The Quaterniond to invert The inverse of the given Quaterniond Get the inverse of the given Quaterniond To be added.
- Property
  0.0.0.0
  System.Double Gets the length (magnitude) of the Quaterniond. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets the square of the Quaterniond length (magnitude). To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use Multiply instead.")
  MonoMac.OpenGL.Quaterniond `` `` The first instance. The second instance. Multiplies two instances. A new instance containing the result of the calculation. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use Multiply instead.")
  System.Void `` `` `` The first instance. The second instance. A new instance containing the result of the calculation. Multiplies two instances. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` The first instance. The second instance. Multiplies two instances. A new instance containing the result of the calculation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` The instance. The scalar. Multiplies an instance by a scalar. A new instance containing the result of the calculation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The first instance. The second instance. A new instance containing the result of the calculation. Multiplies two instances. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The instance. The scalar. A new instance containing the result of the calculation. Multiplies an instance by a scalar. To be added.
- Method
  0.0.0.0
  System.Void Scales the Quaterniond to unit length. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` The Quaterniond to normalize Scale the given Quaterniond to unit length The normalized Quaterniond To be added.
- Method
  0.0.0.0
  System.Void `` `` The Quaterniond to normalize The normalized Quaterniond Scale the given Quaterniond to unit length To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` The first instance. The second instance. Adds two instances. The result of the calculation. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` The first instance. The second instance. Compares two instances for equality. True, if left equals right; false otherwise. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` The first instance. The second instance. Compares two instances for inequality. True, if left does not equal right; false otherwise. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` The first instance. The second instance. Multiplies two instances. The result of the calculation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` The instance. The scalar. Multiplies an instance by a scalar. A new instance containing the result of the calculation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` The scalar. The instance. Multiplies an instance by a scalar. A new instance containing the result of the calculation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` The first instance. The second instance. Subtracts two instances. The result of the calculation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` `` The first Quaterniond The second Quaterniond The blend factor Do Spherical linear interpolation between two quaternions A smooth blend between the given quaternions To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Quaterniond `` `` The left instance. The right instance. Subtracts two instances. The result of the operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The left instance. The right instance. The result of the operation. Subtracts two instances. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector4d Convert this instance to an axis-angle representation. A Vector4 that is the axis-angle representation of this quaternion. To be added.
- Method
  0.0.0.0
  System.Void `` `` The resultant axis The resultant angle Convert the current quaternion to axis angle representation To be added.
- Method
  0.0.0.0
  System.String Returns a System.String that represents the current Quaterniond. To be added.
- Property
  0.0.0.0
  System.Double Gets or sets the W component of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Double Gets or sets the X component of this instance. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.OpenGL.Vector3d Gets or sets an OpenTK.Vector3d with the X, Y and Z components of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.CLSCompliant(false)
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("Use Xyz property instead.")
  System.Xml.Serialization.XmlIgnore
  MonoMac.OpenGL.Vector3d Gets or sets an OpenTK.Vector3d with the X, Y and Z components of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Double Gets or sets the Y component of this instance. To be added. To be added.
- Property
  0.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Double Gets or sets the Z component of this instance. To be added. To be added.